Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.axf.ide
Class ModelManagerListeners

    java.lang.Object
      org.eclipse.amp.axf.ide.ModelManagerListeners

    public class ModelManagerListeners

extends java.lang.Object

Method Summary
`void` | `addModelManagerListener(IModelWorkbenchListener listener)` Adds the model manager listener.
`protected void` | `notifyModelActivated(IModel model)` Notify view removed.
`protected void` | `notifyModelAdded(IModel model)` Notify view removed.
`protected void` | `notifyModelRemoved(IModel model)` Notify view removed.
`protected void` | `notifyViewAdded(org.eclipse.ui.IViewPart showViewPart)` Notify view added.
`protected void` | `notifyViewRemoved(org.eclipse.ui.IViewPart showViewPart)` Notify view removed.
`void` | `removeModelManagerListener(IModelWorkbenchListener listener)` Removes the model manager listener.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addModelManagerListener

    public void addModelManagerListener(IModelWorkbenchListener listener)

  Adds the model manager listener.

  Parameters:
    `listener` - the listener

### removeModelManagerListener

    public void removeModelManagerListener(IModelWorkbenchListener listener)

  Removes the model manager listener.

  Parameters:
    `listener` - the listener

### notifyViewAdded

    protected void notifyViewAdded(org.eclipse.ui.IViewPart showViewPart)

  Notify view added.

  Parameters:
    `showViewPart` - the show view part

### notifyViewRemoved

    protected void notifyViewRemoved(org.eclipse.ui.IViewPart showViewPart)

  Notify view removed.

  Parameters:
    `showViewPart` - the show view part

### notifyModelActivated

    protected void notifyModelActivated(IModel model)

  Notify view removed.

  Parameters:
    `showViewPart` - the show view part

### notifyModelAdded

    protected void notifyModelAdded(IModel model)

  Notify view removed.

  Parameters:
    `showViewPart` - the show view part

### notifyModelRemoved

    protected void notifyModelRemoved(IModel model)

  Notify view removed.

  Parameters:
    `showViewPart` - the show view part

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD